This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 504757 - Bad translation in German language pack
Bad translation in German language pack
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse-nls (Show other bugs)
18
All Linux
low Severity low
: ---
: ---
Assigned To: Sean Flanigan
Fedora Extras Quality Assurance
: i18n, Regression, Reopened
: 702718 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 05:05 EDT by Marcus Nitzschke
Modified: 2013-02-04 22:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-04 22:04:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcus Nitzschke 2009-06-09 05:05:41 EDT
Description of problem:
When creating a new java class, the checkbox for adding the 'public static void' method is translated literally. That doesn't make sense in German. 

Version-Release number of selected component (if applicable):
Eclipse-nls-de-3.4.0.v20090423085802

How reproducible:
Starting Eclipse
"Datei - Neu - Klasse"
  
Actual results:
"öffentlich statisch ungültig Haupt(String[] Argumente)"

Expected results:
"public static void main(String[] args)"
Comment 1 Sean Flanigan 2009-06-09 20:58:39 EDT
Running with eclipse -nl en_AA (with the pseudo langpack installed), that string is identified as eclipse12753.  

  grep eclipse12753 /usr/share/eclipse/dropins/babel/eclipse/features/*/*
points me to
  http://babel.eclipse.org/babel/translate.php?project=eclipse&version=3.4&file=org.eclipse.jdt.ui/ui/org/eclipse/jdt/internal/ui/wizards/NewWizardMessages.properties&string=NewClassWizardPage_methods_main
and I had to click German in the Languages list.

I have marked this string as non-translatable, but I'm waiting to hear whether the babel-translators agree with me:
http://dev.eclipse.org/mhonarc/lists/babel-translators/msg00389.html
Comment 2 Bug Zapper 2009-11-18 07:53:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Max Beikirch 2012-06-18 13:13:27 EDT
Any news on this? The bug is still there and it's feels really weird creating new Java classes because of the bad translation.
Comment 4 Sean Flanigan 2012-06-18 21:28:41 EDT
That string was definitely gone in 3.4.0.v20090620043401-2.fc10, but it looks like the offending string was re-introduced in eclipse-nls-de-3.6.0.v20100814043401-5.fc15.noarch.rpm, or earlier.  I can only assume it was a  regression in the upstream Babel language pack.
Comment 5 Fedora Update System 2012-09-19 01:39:09 EDT
eclipse-nls-3.7.0.v20120721081147-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/eclipse-nls-3.7.0.v20120721081147-1.fc16
Comment 6 Sean Flanigan 2012-09-19 03:59:47 EDT
*** Bug 702718 has been marked as a duplicate of this bug. ***
Comment 7 Fedora Update System 2012-09-21 02:15:13 EDT
eclipse-nls-4.2.0.v20120721043402-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-nls-4.2.0.v20120721043402-2.fc17
Comment 8 Fedora Update System 2012-09-21 20:10:17 EDT
Package eclipse-nls-3.7.0.v20120721081147-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-nls-3.7.0.v20120721081147-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14501/eclipse-nls-3.7.0.v20120721081147-1.fc16
then log in and leave karma (feedback).
Comment 9 Fedora End Of Life 2013-01-16 21:18:32 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora Update System 2013-01-24 03:11:51 EST
eclipse-nls-4.2.0.v20121120043402-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/eclipse-nls-4.2.0.v20121120043402-1.fc18
Comment 11 Fedora Update System 2013-01-24 03:15:27 EST
eclipse-nls-4.2.0.v20121120043402-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-nls-4.2.0.v20121120043402-1.fc17
Comment 12 Fedora Update System 2013-02-04 22:04:38 EST
eclipse-nls-3.7.0.v20120721081147-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-02-04 22:13:27 EST
eclipse-nls-4.2.0.v20121120043402-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-02-04 22:14:04 EST
eclipse-nls-4.2.0.v20121120043402-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.